Bug 99189 - Enhancements to math/superlu
Summary: Enhancements to math/superlu
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Maho Nakata
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-19 23:20 UTC by giffunip
Modified: 2006-06-21 09:32 UTC (History)
0 users

See Also:


Attachments
file.diff (1.20 KB, patch)
2006-06-19 23:20 UTC, giffunip
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description giffunip 2006-06-19 23:20:15 UTC
superlu was trying to use the static atlas libs for the examples but those are not  built anymore. I replaced BLAS_LIBS with the atlas shared libs but made it a knob (WITH_ATLAS) and I am using BLAS by default instead to make it easier to have superlu packaged.

I also tried to fix the build of PetSc with superlu on amd64, but this needs more testing.
Comment 1 Edwin Groothuis freebsd_committer 2006-06-19 23:24:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->maho

Over to maintainer
Comment 2 Pedro F. Giffuni 2006-06-20 04:28:34 UTC
Here is a "catch up" patch for superlu_mt in the same spirit of the proposed
changes to superlu.

diff -ruN superlu_mt.orig/Makefile superlu_mt/Makefile
--- superlu_mt.orig/Makefile	Mon Jun 19 22:15:53 2006
+++ superlu_mt/Makefile	Mon Jun 19 22:23:03 2006
@@ -9,10 +9,10 @@
 DISTVERSION=	1.0.20050524
 CATEGORIES=	math
 MASTER_SITES=	http://crd.lbl.gov/~xiaoye/SuperLU/ \
-		http://crd.lbl.gov/~xiaoye/
+		http://crd.lbl.gov/~xiaoye/:doc
 DISTNAME=	${PORTNAME}_1.0
 .ifndef NOPORTDOCS
-DISTFILES=	${DISTNAME}${EXTRACT_SUFX} simax97.ps.gz
+DISTFILES=	${DISTNAME}${EXTRACT_SUFX} simax97.ps.gz:doc
 .endif
 DIST_SUBDIR=	superlu
 EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
@@ -20,18 +20,26 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Routines for performing multithreaded sparse factorization
 
-BUILD_DEPENDS=	${LOCALBASE}/lib/libblas.a:${PORTSDIR}/math/blas
+.ifdef WITH_ATLAS
+LIB_DEPENDS=    atlas:${PORTSDIR}/math/atlas
+.else
+LIB_DEPENDS=    blas.1:${PORTSDIR}/math/blas
+.endif
 
 WRKSRC=		${WRKDIR}/SuperLU_MT
 ALL_TARGET=	superlulib
 
-BLAS_LIBS=	${LOCALBASE}/lib/libblas.a
+.ifdef WITH_ATLAS
+BLAS_LIBS=      -lf77blas -latlas
+.else
+BLAS_LIBS?=     -lblas
+.endif
 
 ARCH2FIX=	CBLAS/Makefile make.alpha make.exemplar TESTING/MATGEN/Makefile	\
 		make.origin make.inc make.pthreads SRC/Makefile
 
 post-patch:
-	@${REINPLACE_CMD} -e 's+%%BLAS_LIBS%%+${BLAS_LIBS}+ ; \
+	@${REINPLACE_CMD} -e 's+%%BLAS_LIBS%%+-L${LOCALBASE}/lib ${BLAS_LIBS}+ ; \
 	  s+%%PTHREAD_CFLAGS%%+${PTHREAD_CFLAGS}+ ; \
 	  s+%%PTHREAD_LIBS%%+${PTHREAD_LIBS}+ ' \
 		${WRKSRC}/make.inc


Chiacchiera con i tuoi amici in tempo reale! 
 http://it.yahoo.com/mail_it/foot/*http://it.messenger.yahoo.com
Comment 3 Maho Nakata freebsd_committer 2006-06-21 09:32:00 UTC
State Changed
From-To: open->closed

committed, thanks!